/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#ifndef _CECSIMPLEPARSE_
#define _CECSIMPLEPARSE_

#ifndef __DEFINITION__
#  include "definition.h"
#endif  // __DEFINITION__

#include <string>
using std::string;

class CECSimpleParse
{
public:
    CECSimpleParse(const string& str);
    virtual ~CECSimpleParse();
    string  getNext(char separator);
	string	getNextToken(char separator);
    string  getToEnd();
private:
    string m_string;
    string::size_type m_startpos;
    string::size_type m_separator_pos;
};
#endif
