/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
#if defined(SVR4) || defined(HPV10) || defined(HPV1020) || defined(HPUX)
#define PSL_ROOT_DIR            "/opt/psl"
#define PSL_VAR_ROOT_DIR        "/var/opt/psl"
#define PSL_ETC_ROOT_DIR        "/etc/opt/psl"
#elif defined(OSF)
#define PSL_ROOT_DIR            "/usr/opt/psl"
#define PSL_VAR_ROOT_DIR        "/var/opt/psl"
#define PSL_ETC_ROOT_DIR        "/usr/opt/psl"
#elif HPV9
#define PSL_ROOT_DIR            "/usr/psl"
#define PSL_VAR_ROOT_DIR        "/usr/psl/var"
#define PSL_ETC_ROOT_DIR        "/usr/psl/etc"
#elif IBM
#define PSL_ROOT_DIR            "/usr/lpp/psl"
#define PSL_VAR_ROOT_DIR        "/lpp/psl/var"
#define PSL_ETC_ROOT_DIR        "/lpp/psl/etc"
#elif LINUX
#define PSL_ROOT_DIR            "/usr/psl"
#define PSL_VAR_ROOT_DIR        "/usr/psl/var"
#define PSL_ETC_ROOT_DIR        "/usr/psl/etc"
#else
#error platform not supported at line __LINE__
#endif




