
#include "stdafx.h"
#include "SharedMemBuffs.hpp"

#ifdef USE_PERF_DATA
LONG *CSharedMemBuffs::s_pSSLAllocatedMemBuffs = NULL;
LONG *CSharedMemBuffs::s_pSSLUsedMemBuffs = NULL;
#endif

void CSharedMemBuffs::InitClass()
{
#ifdef USE_PERF_DATA
    if(s_pSSLAllocatedMemBuffs == NULL) // Since can be called several times because of dependencies.
    {
        s_pSSLAllocatedMemBuffs     = g_pPerformance->GetCounterValue(PRFCNT_OPENSTA_SSL_ALLOCATED_MEM_BUFFS);
        (*s_pSSLAllocatedMemBuffs)  = 0;
        s_pSSLUsedMemBuffs          = g_pPerformance->GetCounterValue(PRFCNT_OPENSTA_SSL_USED_MEM_BUFFS);
        (*s_pSSLUsedMemBuffs)       = 0;
    }
#endif
}

