/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
#if !defined(AFX_MONITORINGERRORLOG_H__EAA2655F_37E5_4804_B65E_CDE96DB63B4B__INCLUDED_)
#define AFX_MONITORINGERRORLOG_H__EAA2655F_37E5_4804_B65E_CDE96DB63B4B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MonitoringErrorLog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMonitoringErrorLog dialog
#include "TestFile.h"
#include "resource.h"

class CMonitoringErrorLog : public CDialog
{
// Construction
public:
	void Init(CString path);
	CMonitoringErrorLog(CWnd* pParent = NULL);   // standard constructor
// Dialog Data
	//{{AFX_DATA(CMonitoringErrorLog)
	enum { IDD = IDD_MONITORING_ERROR_LOG };
	CListCtrl	m_ctlErrorLogList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMonitoringErrorLog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMonitoringErrorLog)
	afx_msg void OnDestroy();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:

	void UpdateErrorLogWindow();
	int GetNextField(char sep, CString &inStr, CString &field);
	CString GetPath();

	BOOL m_bHeadersLoaded;
	int m_nFilePos;
	BOOL m_bDataFileOpen;	
	CStdioFile m_dataFile;
	CString m_strTestRunPath;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MONITORINGERRORLOG_H__EAA2655F_37E5_4804_B65E_CDE96DB63B4B__INCLUDED_)
