#if !defined(AFX_GRAPHWND_H__70C5BFA3_0259_11D5_94D3_00C04F89E392__INCLUDED_)
#define AFX_GRAPHWND_H__70C5BFA3_0259_11D5_94D3_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GraphWnd.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CGraphWnd frame
class CGraphWnd : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CGraphWnd)
protected:
	CGraphWnd();           // protected constructor used by dynamic creation

// Attributes
public:
	virtual ~CGraphWnd();

	void SetGraph(CWnd *);
	CWnd *GetGraph(){return m_pGraph;}
	void SetNotifyWindow(HWND hWnd)
	{
		m_hWndNotify = hWnd;
	}

	typedef enum{ enActive ,enInactive, enDestroyed} MdiState;
// Operations
public:
	BOOL m_bActive;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGraphWnd)
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CGraphWnd)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDestroy();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnNcPaint();
	afx_msg void OnNcLButtonDown(UINT nHitTest, CPoint point);
	afx_msg void OnChildActivate();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	CWnd *m_pGraph;
	HWND m_hWndNotify;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GRAPHWND_H__70C5BFA3_0259_11D5_94D3_00C04F89E392__INCLUDED_)
