#if !defined(AFX_BITMAPCOMBOBOX_H__504DC834_4D42_11D2_921B_00104B4B2995__INCLUDED_)
#define AFX_BITMAPCOMBOBOX_H__504DC834_4D42_11D2_921B_00104B4B2995__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// BitmapCombobox.h : header file
//

//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
class CBitmapCombobox : public CComboBox
{
    // Construction
public:
    CBitmapCombobox(UINT nSizex = 16 , UINT nSizey = 16 );

    // Attributes
public:
    CSize m_sizeBitmap;

    // Operations
public:
    virtual int AddBitmap(UINT _nIDResource, LPCTSTR lpszString);
    virtual int InsertBitmap(int nIndex, UINT _nIDResource, LPCTSTR lpszString);
    virtual int SelectBitmap(int nIndex);
    virtual int DeleteBitmap(int nIndex);

    // Implementation
protected:
    virtual void OnOutputBitmap(LPDRAWITEMSTRUCT lpDIS, BOOL bSelected);

    // Overrides
    virtual int AddString(LPCTSTR lpszString);
    virtual int InsertString(int nIndex, LPCTSTR lpszString);
    virtual int DeleteString(int nIndex);
    virtual void MeasureItem(LPMEASUREITEMSTRUCT lpMIS);
    virtual void DrawItem(LPDRAWITEMSTRUCT lpDIS);

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CBitmapCombobox)
    //}}AFX_VIRTUAL

    // Implementation
public:
    virtual ~CBitmapCombobox();

    // Generated message map functions
protected:
    //{{AFX_MSG(CBitmapCombobox)
    // NOTE - the ClassWizard will add and remove member functions here.
    //}}AFX_MSG

    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BITMAPCOMBOBOX_H__504DC834_4D42_11D2_921B_00104B4B2995__INCLUDED_)
