#if !defined(AFX_COLORCOMBOEX_H__82ACEB03_8F6E_11D1_B7B1_00A024DE65ED__INCLUDED_)
#define AFX_COLORCOMBOEX_H__82ACEB03_8F6E_11D1_B7B1_00A024DE65ED__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// ColorComboEx.h : header file
//
// Eric Zimmerman coolez@one.net

#include <afxtempl.h>   // Used for CArray

/////////////////////////////////////////////////////////////////////////////
// CColorComboEx window

class CColorComboEx : public CComboBox
{
    // Construction
public:
    CColorComboEx();

    // Attributes
public:

    // Operations
public:

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CColorComboEx)
public:
    virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
protected:
    virtual void PreSubclassWindow();
    //}}AFX_VIRTUAL

    // Implementation
public:
    CArray<COLORREF, COLORREF> colors;
    virtual ~CColorComboEx();

    void SetColor( COLORREF _color )  ;
    COLORREF  GetCurrentColor()  ;

    // Generated message map functions
protected:
    //{{AFX_MSG(CColorComboEx)
    //}}AFX_MSG

    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COLORCOMBOEX_H__82ACEB03_8F6E_11D1_B7B1_00A024DE65ED__INCLUDED_)
