/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
#if !defined(AFX_TIMERLIST_H__30804217_E70F_11D4_94C9_00C04F89E392__INCLUDED_)
#define AFX_TIMERLIST_H__30804217_E70F_11D4_94C9_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TimerList.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTimerList window
#include "HTTPGraphs.h"

class CTimerList : public CListCtrl
{
// Construction
public:
	CTimerList(const TimerList& listTimers);

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTimerList)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTimerList();

	// Generated message map functions
protected:
	//{{AFX_MSG(CTimerList)
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnGetdispinfo(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnColumnclick(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnCsvExport();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

	typedef enum { enTest,enThread,enScript,enTimer,enNumUsers,enElapsed,enDate,enTime} ListColumn;

	CString m_strTemp;
	CArray <Timer*,Timer*> m_arTimers;
	ListColumn m_nSortColumn;
	BOOL m_bReverseSort;
		
	static int CompareTimer(const void*,const void*);
	static ListColumn m_nStaticSortColumn;
	static BOOL m_bStaticReverseSort;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TIMERLIST_H__30804217_E70F_11D4_94C9_00C04F89E392__INCLUDED_)
