/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// ServerHeaderView.h: interface for the CServerHeaderView class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SERVERHEADERVIEW_H__18C19B36_3AF7_11D4_933E_00104B4B2995__INCLUDED_)
#define AFX_SERVERHEADERVIEW_H__18C19B36_3AF7_11D4_933E_00104B4B2995__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "HeaderView.h"

class CServerHeaderView : public CHeaderView
{
protected:
    CServerHeaderView();
    DECLARE_DYNCREATE(CServerHeaderView)
    virtual ~CServerHeaderView();

    void OnUpdateAddressing( CCmdUI* pCmdUI ) ;
    void OnAddressing() ;

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CServerHeaderView)
public:
    virtual void DoOwnerContextMenu( CMenu * pSubMenu ) ;
protected:
    virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
    //}}AFX_VIRTUAL

    //{{AFX_MSG(CServerHeaderView)
    afx_msg void OnSize(UINT nType, int cx, int cy);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

};

#endif // !defined(AFX_SERVERHEADERVIEW_H__18C19B36_3AF7_11D4_933E_00104B4B2995__INCLUDED_)
