/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
// CECSNMPQuery.h: interface for the CECSNMPQuery class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CECSNMPQUERY_H__163F9048_3E1C_11D4_A6D1_00500447FC27__INCLUDED_)
#define AFX_CECSNMPQUERY_H__163F9048_3E1C_11D4_A6D1_00500447FC27__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef WIN32
#include <winsock.h>
#endif
#include "CECStructures.h"


#include "../../include/ucd-snmp-includes.h"

class CECSNMPQuery  
{
public:
	BOOL ExecuteWalk(QUERY_DEF query, CStringArray& resultArray);
	long ExecuteSimple(QUERY_DEF& query);
	bool ExecuteDetailed(QUERY_DEF& query, CString& result);

	CECSNMPQuery();
	virtual ~CECSNMPQuery();

private:

};

#endif // !defined(AFX_CECSNMPQUERY_H__163F9048_3E1C_11D4_A6D1_00500447FC27__INCLUDED_)
